MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023626Open CASCADE[OCCT] OCCT:Foundation Classespublic2012-12-10 13:082015-05-14 15:32
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023626: It's impossible to open files containing localisation characters in the name
DescriptionIt's impossible to open files containing localisation characters in the name (box__simplifiée.brep) on Windows platform (on Linux test case is OK).
Steps To Reproducerestore [locate_data_file box__simplifiée.brep] result
puts [checkshape result]
set 2dviewer 0
TagsNo tags attached.
Test case numberbugs fclasses bug63
Attached Files

- Relationships
related to 0023922closedbugmaster Open CASCADE Systematic review of TODO tests 
related to 0025367closedbugmaster Open CASCADE IGES and BRep persistence - support unicode file names on Windows 

-  Notes
(0023244)
abv (manager)
2013-02-04 09:07

The problem in this case is rather in incompatible file systems: the file name as seen on Unix is different from the same file name as seen from Windows through Samba. Let's return to this when we have all test files in Git.
(0035220)
git (administrator)
2014-12-09 17:05

Branch CR23626 has been created by ski.

SHA-1: 7413f7c5256fbadd35809d439d56027fcd868c3d


Detailed log of new commits:

Author: ski
Date: Tue Dec 9 16:24:00 2014 +0300

    0023626: It's impossible to open files containing localisation characters in the name
    
    Files containing localisation characters can be opened and saved now properly.
(0035223)
ski (developer)
2014-12-09 17:08

Files containing localisation characters can be opened and saved now properly.
(0035224)
ski (developer)
2014-12-09 17:08

Please, review.
(0035228)
ski (developer)
2014-12-09 17:22

Note that test case bugs / fclasses / bug63 will be OK after integration of 0023922.
(0035792)
abv (manager)
2014-12-26 18:32

No remarks, please test (I believe it should be tested together with 0023922)
(0035796)
git (administrator)
2014-12-26 19:19

Branch CR23626 has been updated forcibly by mkv.

SHA-1: 047b083761179e35d31dbd67bd4664e453711c33
(0035963)
mkv (tester)
2015-01-12 16:21

Dear BugMaster,
Branch CR23626 was rebased on current master of occt git-repository.
(0035964)
mkv (tester)
2015-01-12 16:22

Dear BugMaster,
Branch CR23626 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 047b083761179e35d31dbd67bd4664e453711c33

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR23626-master-occt/Windows-32-VC10/bugs/fclasses/bug63.html [^]
bugs fclasses(002) bug63 - OK.

Testing on Linux:
occt component :
Total MEMORY difference: 369147472 / 369143040
Total CPU difference: 48791.54000000005 / 46134.27000000006
products component :
Total MEMORY difference: 109523424 / 109673928
Total CPU difference: 15647.799999999983 / 15276.419999999995

Testing on Windows:
occt component :
Total MEMORY difference: 276669064 / 276910960
Total CPU difference: 45869.6875 / 38326.0625
products component :
Total MEMORY difference: 72614512 / 71429320
Total CPU difference: 15455.21875 / 10071.46875

There are no differences in images found by testdiff.
(0036542)
git (administrator)
2015-01-26 12:33

Branch CR23626 has been deleted by inv.

SHA-1: 047b083761179e35d31dbd67bd4664e453711c33

- Related Changesets
occt: master 97c44f41
Timestamp: 2014-12-09 13:24:00
Author: ski
Committer: bugmaster
Details ] Diff ]
0023626: It's impossible to open files containing localisation characters in the name

Files containing localisation characters can be opened and saved now properly.
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-10 13:08 apn New Issue
2012-12-10 13:08 apn Assigned To => abv
2012-12-10 13:09 apn Test case number => bugs fclasses bug63
2012-12-10 14:15 abv Relationship added related to 0000063
2013-02-04 09:07 abv Note Added: 0023244
2013-02-04 09:07 abv Target Version 6.6.0 => Unscheduled
2014-11-25 16:44 abv Relationship added related to 0023922
2014-11-25 16:45 abv Relationship added related to 0025367
2014-12-09 17:05 git Note Added: 0035220
2014-12-09 17:06 ski Assigned To abv => ski
2014-12-09 17:06 ski Status new => assigned
2014-12-09 17:08 ski Note Added: 0035223
2014-12-09 17:08 ski Assigned To ski => abv
2014-12-09 17:08 ski Status assigned => resolved
2014-12-09 17:08 ski Note Added: 0035224
2014-12-09 17:22 ski Note Added: 0035228
2014-12-26 18:32 abv Note Added: 0035792
2014-12-26 18:32 abv Assigned To abv => bugmaster
2014-12-26 18:32 abv Status resolved => reviewed
2014-12-26 19:04 mkv Assigned To bugmaster => mkv
2014-12-26 19:19 git Note Added: 0035796
2015-01-12 16:21 mkv Note Added: 0035963
2015-01-12 16:22 mkv Note Added: 0035964
2015-01-12 16:22 mkv Assigned To mkv => bugmaster
2015-01-12 16:22 mkv Status reviewed => tested
2015-01-16 13:37 bugmaster Changeset attached => occt master 97c44f41
2015-01-16 13:37 bugmaster Status tested => verified
2015-01-16 13:37 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version Unscheduled => 6.9.0
2015-01-26 12:33 git Note Added: 0036542
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker